CommandLineParser (Commons CLI 1.2 API)
Keywords: org.apache.commons.cli.CommandLineParser interface

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.cli
Interface CommandLineParser

All Known Implementing Classes:
  BasicParser, GnuParser, Parser, PosixParser

    public interface CommandLineParser

A class that implements the `CommandLineParser` interface can parse a String array according to the `Options` specified and return a `CommandLine`.

Version:
  $Revision: 680644 $, $Date: 2008-07-29 01:13:48 -0700 (Tue, 29 Jul 2008) $
Author:
  John Keyes (john at integralsource.com)

Method Summary
`CommandLine` | `parse(Options options, String[] arguments)` Parse the arguments according to the specified options.
`CommandLine` | `parse(Options options, String[] arguments, boolean stopAtNonOption)` Parse the arguments according to the specified options.

Method Detail

### parse

    CommandLine parse(Options options,
                      String[] arguments)
                      throws ParseException

  Parse the arguments according to the specified options.

  Parameters:
    `options` - the specified Options
    `arguments` - the command line arguments
  Returns:
    the list of atomic option and value tokens
  Throws:
    `ParseException` - if there are any problems encountered while parsing the command line tokens.

### parse

    CommandLine parse(Options options,
                      String[] arguments,
                      boolean stopAtNonOption)
                      throws ParseException

  Parse the arguments according to the specified options.

  Parameters:
    `options` - the specified Options
    `arguments` - the command line arguments
    `stopAtNonOption` - specifies whether to continue parsing the arguments if a non option is encountered.
  Returns:
    the list of atomic option and value tokens
  Throws:
    `ParseException` - if there are any problems encountered while parsing the command line tokens.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 The Apache Software Foundation. All Rights Reserved.